%define origver 5116

Name: praat
Version: 5.1.16
Release: alt1

Summary: A program for speech analysis and synthesis
License: GPL (and others for libraries used)
Group: Sound

Url: http://www.praat.org
Source: http://www.fon.hum.uva.nl/praat/praat%{origver}_sources.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Sun Sep 20 2009
BuildRequires: libalsa-devel libopenmotif-devel

%description
According to its authors, praat is "doing phonetics by computer".
Through its graphical interface, several speech analysis functionalities
are available: spectrograms, cochleograms, and pitch and formant
extraction.  Articulatory synthesis, as well as synthesis from pitch,
formant, and intensity are also available.  Other features are
segmentation, labelling using the phonetic alphabet, and computation
of statistics.  Praat is configurable and extensible through its own
scripting language and has provisions for communicating with other
programs.

* Make sure you have read the Intro from Praat's Help menu.
* If that does not help, use the Search button in Praat's manual window.
* Or consult the Frequently Asked Questions on the website.

Recommends: fonts-bitmap-100dpi fonts-bitmap-75dpi

%prep
%setup -n sources_%origver

%build
cp -a makefiles/makefile.defs.linux.dynamic makefile.defs
%make_build

%install
install -pDm755 %name %buildroot%_bindir/%name

%files
%_bindir/*

# TODO:
# - FLAC/ and audio/ are patched
# - GSL/ *seems* just bundled?
# - watch file:
# version=3
#opts="uversionmangle=s/\.0?(\d+)/\.$1/g" \
#  http://www.fon.hum.uva.nl/praat/download_sources.html praat(\d)(\d)(\d+)_sources.tar.gz debian

%changelog
* Sun Sep 20 2009 Michael Shigorin <mike@altlinux.org> 5.1.16-alt1
- built for ALT Linux (closes: #19876)
